From 3fa6eddfd8839d3df8751d1e139cc8b12971ff79 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 07 2017 17:27:01 +0000
Subject: [PATCH 783/1001] Implement review suggestions by @jcline


---

diff --git a/hubs/tests/test_widgets/test_contact.py b/hubs/tests/test_widgets/test_contact.py
index ae92f87..a934c38 100644
--- a/hubs/tests/test_widgets/test_contact.py
+++ b/hubs/tests/test_widgets/test_contact.py
@@ -1,13 +1,14 @@
 from __future__ import unicode_literals
 
-import flask
-import hubs
 import json
 
+import flask
+import mock
+
+import hubs
 from hubs.models import Hub, Widget
 from hubs.tests import APPTest, FakeAuthorization, auth_set
 from hubs.tests.test_widgets import WidgetTest
-from mock import mock
 
 
 def mocked_requests_get(*args, **kwargs):
@@ -147,7 +148,7 @@ class ContactsTest(APPTest):
         user = FakeAuthorization('ralph')
         with auth_set(hubs.app.app, user):
             result = self.app.post(url, data={'increment': True})
-            self.assertEqual(result.status_code, 403)
+            self.assertEqual(result.status_code, 404)
             self.assertEqual(
                 result.get_data(as_text=True),
                 'User does not exist')
@@ -160,7 +161,7 @@ class ContactsTest(APPTest):
         user = FakeAuthorization('ralph')
         with auth_set(hubs.app.app, user):
             result = self.app.post(url, data={})
-            self.assertEqual(result.status_code, 403)
+            self.assertEqual(result.status_code, 400)
             exp_str = "You must set 'decrement' or 'increment' " \
                       "with a boolean value in the body"
             self.assertEqual(result.get_data(as_text=True), exp_str)
@@ -170,5 +171,5 @@ class ContactsTest(APPTest):
         url = "/ralph/w/contact/%d/plus-plus/%s/status" % (
             self.widget_idx, "doesnotexist")
         result = self.app.get(url)
-        self.assertEqual(result.status_code, 403)
+        self.assertEqual(result.status_code, 404)
         self.assertEqual(result.get_data(as_text=True), 'User does not exist')
diff --git a/hubs/widgets/contact/__init__.py b/hubs/widgets/contact/__init__.py
index 43df3b4..90a9e0c 100644
--- a/hubs/widgets/contact/__init__.py
+++ b/hubs/widgets/contact/__init__.py
@@ -94,13 +94,9 @@ class PlusPlusStatus(WidgetView):
         username = kwargs["user"]
         receiver = hubs.models.User.by_username(username)
         if not receiver:
-            return 'User does not exist', 403
+            return 'User does not exist', 404
         pp_url = _get_pp_url(username)
-        req = None
-        try:
-            req = requests.get(pp_url)
-        except:
-            flask.abort(500)
+        req = requests.get(pp_url, timeout=5)
         if req.status_code == 200:
             return flask.jsonify(req.json())
         else:
@@ -128,7 +124,7 @@ class PlusPlusUpdate(WidgetView):
         username = kwargs["user"]
         receiver = hubs.models.User.by_username(username)
         if not receiver:
-            return 'User does not exist', 403
+            return 'User does not exist', 404
 
         if username == flask.g.auth.nickname:
             return 'You may not modify your own karma.', 403
@@ -136,7 +132,7 @@ class PlusPlusUpdate(WidgetView):
         if 'decrement' not in flask.request.form \
                 and 'increment' not in flask.request.form:
             return "You must set 'decrement' or 'increment' " \
-                   "with a boolean value in the body", 403
+                   "with a boolean value in the body", 400
 
         update = ('increment' if 'increment' in flask.request.form
                   else 'decrement')
@@ -148,12 +144,8 @@ class PlusPlusUpdate(WidgetView):
         pp_token = flask.current_app.config['PLUS_PLUS_TOKEN']
         auth_header = {'Authorization': 'token {}'.format(pp_token)}
         data = {'sender': sender.username, update: update_bool_val}
-        req = None
-        try:
-            req = requests.post(url=pp_url, headers=auth_header, data=data)
-        except:
-            flask.abort(500)
-
+        req = requests.post(
+            url=pp_url, headers=auth_header, data=data, timeout=5)
         if req.status_code == 200:
             return flask.jsonify(req.json())
         else:

